﻿using Autodesk.AutoCAD.DatabaseServices;
using Autodesk.AutoCAD.Runtime;
using System;
using AcApp = Autodesk.AutoCAD.ApplicationServices;

namespace Export3dSolids.ToolMain
{
    public class Commands
    {
        #region -------------------------------------------------- UNREGISTER ----------------------------------------------------
        [CommandMethod("Export3dSolids", "_Unregister-Export3dSolids", "cmdExport3dSolidsUnregister", CommandFlags.Modal)]
        public void UNREGISTER()
        { Export3dSolids.RegistryUpdate.UnregisterForDemandLoading(); }

        #endregion ----------------------------------------------- UNREGISTER ----------------------------------------------------

        #region -------------------------------------------------- cmdExport3dSolids -------------------------------------------------

        [CommandMethod("Export3dSolids", "_Export3dSolids", "cmdExport3dSolids", CommandFlags.Modal)]
        public void cmdCommand()
        {
            Tool.RunTool();
        }

        #endregion ----------------------------------------------- cmdExport3dSolids ----------------------------------------------------
    }
}
